# 8148 1 层设备发布版本及更新日志
## Matrix
### 发布版本
1.1.15

### 包含应用版本
matrix_8148mc

### 更新日志
2024/9/4
1. matrix-8148mc-1.1.15.tar 
2. 版本号：1.1.15 
3. 基于 1.1.14，紧急修复 2 处 bug：
   a. snmp 删除配置时候，有一行代码有误，可能造成 null 指针
   b. admin 账号升级没有打印提示问题

2024/9/2
1. matrix-8148mc-1.1.14.tar 
2. 版本号：1.1.14 
3. a. 更新 cpld 和 fpga 固件至最新版本
   b. 修改 SNMP 的接口，同步 8048 设备修改，支持 work 遍历
   c. 新增 snmp 的删除配置接口
   d. 增加手动校时功能
   e. 增加 show 命令的管道符过滤功能
   f. 修改 show system log 命令的显示
   g. 修改保存配置后配置文件的权限属性

2024/8/8
1. matrix-8148mc-1.1.13.tar 
2. 版本号：1.1.13 (基于 1.1.12 版本修改测试的问题，svn:1412)
3. a. 修改 1.1.12 版本 revert 命令的 bug
   b. 修改 snmp 的 agentx 命令，将 snmp 的线程抽离平台框架，独立线程运行

2024/7/30
1. matrix-8148mc-1.1.12.tar 
2. 版本号：1.1.12  
3. a.增加revert恢复初始配置文件的功能  
   b.同步8048关于admin账号密码权限的修改

2024/7/15
1. matrix-8148mc-1.1.11.tar 
2. 版本号：1.1.11
3. a.增加syslog功能;   
   b.增加boot.img在线更新功能；  
   c.增加md5校验及显示功能；  
   d.修改cpu温度显示，修改风扇信息显示    
   e.去除管理口的默认ip地址

2024/7/15
1. matrix-8148mc-1.1.9.tar 
2. 版本号：1.1.9
3. 修改类似升级1.1.7往上1.1.8升级提示不支持的问题

2024/7/11
1. matrix-8148mc-1.1.8.tar 
2. 版本号：1.1.8
3. 仅优化管理口mac地址的写入，判断管理口名称是eth0还是ma1，防止接口名称没改ma1的时候无法写入mac

2024/7/8
1. matrix-8148mc-1.1.7.tar 
2. 版本号：1.1.7
3. 新增大版本升级、回退报错提示功能
4. 注意事项：  
  A) 使用该版本后，如果需要进行大版本的升级、回退时候，普通升级命令不支持，需要使用root账号，在config视图下，用force命令进行操作。  
	且升级确认提示符不是yes,  如果是大版本升级，提示符是tsnUpgrade@数字，  如果是大版本降级，提示符是tsnRollback@数字，  其中，数字=(X1*1000+Y1) - (X2*1000+Y2), (X1,Y1)是待升级和当前升级版本的大值， (X2,Y2)是待升级和当前升级版本的小值。 示例：如果当前版本是matrix-8148mc-1.1.6.tar， 准备升级的版本是matrix-8148mc-1.0.6.tar，则输入的确认符是tsnRollback@1；如果当前版本是matrix-8148mc-1.0.6.tar， 准备升级的版本是matrix-8148mc-2.2.6.tar，则输入的确认符是tsnUpgrade@1002

2024/7/5  
1. matrix-8148mc-1.1.5.tar  matrix-8148mc-1.1.6.tar
2. 版本号：1.1.46
3. 新增cpld固件升级功能；  优化cpld配置管脚控制
4. 注意事项：  
  A) matrix-8148mc-1.1.5.tar为辅助测试版本，配合matrix-8148mc-1.1.6.tar版本进行固件升级测试使用  
  B) 后续发布matrix-8148mc-1.1.7.tar版本，该版本之后不再支持版本回退，或者增加其他手段支持回退

2024/7/2  
1. matrix-8148mc-1.1.4.tar
2. 版本号：1.1.4
3. 新增show diff功能； 优化端口收包显示，没有被其他端口source时候不显示收包统计；   解决snmp配置不保存问题

2024/06/27  
1. matrix-8148mc-1.1.3.tar
2. 版本号：1.1.3
3. 再次修改vtysh.conf文件的赋值。
4. 注意事项：  
	A 建议配合最新cpld版本测试，cpld版本目前需要手动升级  
	B 管理网口修复，需要检查系统自带的/etc/netplan/01-netcfg.yam文件是否已经去除eth0的配置，如果没有去除，修复不生效

2024/06/27
1. matrix-8148mc-1.1.2.tar
2. 版本号：1.1.2
3. 优化温度调速；增加cpld及cdr的初始化复位操作；增加vtysh.conf文件检查并复制操作； 增加管理口ip修复操作。
4. 注意事项：  
	A 建议配合最新cpld版本测试，cpld版本目前需要手动升级  
	B 管理网口修复，需要检查系统自带的/etc/netplan/01-netcfg.yam文件是否已经去除eth0的配置，如果没有去除，修复不生效

2024/06/03
1. matrix-8148mc-1.0.9.tar
2. 版本号：1.0.9
3. 删除默认的管理口mac地址配置，避免将出厂配置的mac冲掉 

2024/05/29
1. matrix-8148mc-1.0.8.tar
2. 版本号：1.0.8
3. 增加show ssh显示， 解决show user 显示问题

2024/05/23
1. matrix-8148mc-1.0.7.tar
2. 版本号：1.0.7
3. 解决ssh问题

2024/05/23
1. matrix-8148mc-1.0.6.tar
2. 版本号：1.0.6
3. 解决ntp问题

2024/05/23
1. matrix-8148mc-1.0.5.tar
2. 版本号：1.0.5
3. 优化ntp显示相关

2024/05/18
1. matrix-8148mc-1.0.4.tar
2. 版本号：1.0.4
3. 优化模糊显示，解决aaa重启配置丢失问题

2024/05/18
1. matrix-8148mc-1.0.3.tar
2. 版本号：1.0.3
3. 优化逻辑器件版本日期获取方式；优化show dev及show system ver显示

2024/05/17
1. matrix-8148mc-1.0.2.tar
2. 版本号：1.0.2
3. 修改show dev info显示，修该接口tx的显示

2024/05/17
1. matrix-8148mc-1.0.1.tar
2. 版本号：1.0.1
3. 支持no username删除用户

2024/05/17
matrix-8148mc-1.0.0.tar
1. 包替换为matrix-8148mc-1.0.0.tar
2. 版本号：1.0.0
3. 增加ssnp代码，用户管理，显示合并等内容

2024/05/16
1. release sdk firset verison v1.0.3
2. 版本号：1.0.3
3. 增加ssnp代码

2024/05/16
1. release sdk firset verison v1.0.2
2. 版本号：1.0.2
3. 增加用户管理功能，修改端口不up的问题，增加aaa命令等

2024/05/15  
1. release sdk firset verison v1.0.1
2. 版本号：1.0.1
3. 修改面坂口点灯闪烁逻辑，收发包速率有的时候都闪烁
 
2024/05/15  
1. release sdk firset verison v1.0.0
2. 版本号：1.0.0
3. 首个版本
